ros-humble-mola-state-estimation-smoother (2.1.0-1jammy) jammy; urgency=high

  * Merge pull request #13 <https://github.com/MOLAorg/mola_state_estimation/issues/13> from MOLAorg/feat/publish-georef-on-converge
    Publish geo-ref on convergence
  * get onObservation() and has_converged_localization() method tested too
  * Refactor publish georef and sensor label regex
    fix filtering observations by sensor label regex
    refactor to publish georef on converged automatically
    fix build against older mola_kernel
    Fix wrong logic in GNSS fuse
  * remove old mola version guards
  * unit test: relax threshold to avoid spurious failures
  * Publish geo-ref on convergence
    add new params to yaml file
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 13 Feb 2026 23:00:00 -0000

ros-humble-mola-state-estimation-smoother (2.0.1-1jammy) jammy; urgency=high

  * test: less strict limits to avoid random failures
  * cmake: Remove non-used find_package() for ament_lint_auto
  * Merge pull request #11 <https://github.com/MOLAorg/mola_state_estimation/issues/11> from MOLAorg/feat/improve-docs
    Improve docs for mola_gtsam_factors
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 14 Jan 2026 23:00:00 -0000

ros-humble-mola-state-estimation-smoother (2.0.0-1jammy) jammy; urgency=high

  * Merge pull request #7 <https://github.com/MOLAorg/mola_state_estimation/issues/7> from MOLAorg/feature/tricycle-kinematic
    Add tricycle kinematics
  * Use bad initial pose for unit test
  * unit test: same conditions for different kinematic models
  * Copyright year bump
  * Add FactorTricycleKinematic
  * Implement twist fusion
  * Add twist unit test
  * Unit test: include tricycle tests too
  * Enable connection to MolaViz for console messages
  * converted into ament_cmake; update template yaml params file
  * Add templates to launch the estimator as a standalone ROS 2 node
  * Merge pull request #5 <https://github.com/MOLAorg/mola_state_estimation/issues/5> from MOLAorg/feature/fuse-gnss-imu-odom
    Refactor: new packages mola_georeferencing, mola_gtsam_factors, functional smoother state estimator
  * More realistic drift case: IMU helps LO
  * fix test: correct IMU acc simulation
  * Default params: more common case of starting near static
  * fixed imu acc gravity alignment
  * Add two-odometry unit test
  * fix error, and add support for azimuth offset
  * add IMU+GPS  based azimuth estimation
  * Refactor: symbolic factor classes moved as internal smoother classes
  * Make mola_gtsam_factors non headers-only and rename GNSS2ENU as GnssEnu for consistency
  * fixed missing extrapolation steps
  * implement basic pose extrapolation
  * honor initial twist
  * Fixed odom+gnss fusion
  * implement correct auto geo-referenciation
  * Support fusing poses wrt map frame too
  * marginals for uncertainty
  * refactor to use Pose3 instead of P+R
  * initialize georef gtsam variables
  * Make important parameters mandatory in yaml config files
  * New unit test for fusing GPS+odometry
  * process CObservationRobotPose
  * One further fix for cmake
  * integrate code coverage in cmake
  * Update .h docs to match the new design
  * Enable code coverage
  * Update parameters to hold new geo-ref fields
  * Refactor to expose all gtsam factors into a new library 'mola_gtsam_factors'
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 13 Jan 2026 23:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.11.1-1jammy) jammy; urgency=high

  * Update to build against MOLA>=2.1.0 with ConstPtr API
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 19 Oct 2025 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.11.0-1jammy) jammy; urgency=high

  * Move LocalVelocityBuffer class here from mp2p_icp repository
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 04 Oct 2025 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.10.0-1jammy) jammy; urgency=high

  * Fix build against gtsam>=4.3
  * Update copyright notice
  * Make unhandled sensor input topic message less verbose
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 06 Sep 2025 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.9.0-1jammy) jammy; urgency=high

  * State estimation interface is now raw data consumer too
  * FIX: Error if sensor labels were provided in config yaml file
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 05 Jun 2025 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.8.1-1jammy) jammy; urgency=high

  * Update copyright year
  * fixes for clang-tidy
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 24 May 2025 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.8.0-1jammy) jammy; urgency=high

  * const correctness
  * State estimation modules now are proper MOLA raw inputs, so they automatically subscribe and consume input sensors (IMU, GPS, wheels odometry)
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 14 Mar 2025 23:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.7.0-1jammy) jammy; urgency=high

  * Use more generic localization source name
  * make it thread safe; fix replaying extrapolated poses using past timestamps
  * Documentation: explain the different types of factors and kinematic models
  * Smoother: observe the enforce_planar_motion parameter
  * FIX: use last guess as initial values to improve optimization stability; expose more parameters
  * StateEstimationSmoother: Publish pose updates in a timely manner
  * Add parameter enforce_planar_motion
  * Fix gtsam must be a runtime depend too
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 21 Feb 2025 23:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.6.1-1jammy) jammy; urgency=high

  * Shorter logger name
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 09 Jan 2025 23:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.6.0-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 02 Jan 2025 23:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.5.0-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 25 Dec 2024 23:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.4.1-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 19 Dec 2024 23:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.4.0-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 17 Dec 2024 23:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.3.0-1jammy) jammy; urgency=high

  * Start integrating GNSS observation. Added a new CLI program mola-navstate-cli for testing state fusion
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 10 Dec 2024 23:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.2.1-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 28 Sep 2024 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.2.0-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 15 Sep 2024 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.1.3-1jammy) jammy; urgency=high

  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 27 Aug 2024 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.1.2-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 25 Aug 2024 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.1.1-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 22 Aug 2024 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.1.0-1jammy) jammy; urgency=high

  * Update test-navstate-basic.cpp: less noisy test data for more predictable results
  * Merge pull request #62 <https://github.com/MOLAorg/mola/issues/62> from MOLAorg/docs-fixes
    Docs fixes
  * Fix ament_xmllint warnings in package.xml
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 17 Aug 2024 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.0.8-1jammy) jammy; urgency=high

  * ament_lint_cmake: clean warnings
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 28 Jul 2024 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.0.7-1jammy) jammy; urgency=high

  * Fix GNSS typo
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 23 Jul 2024 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.0.6-1jammy) jammy; urgency=high

  * Create new NavStateFilter interface and separate the simple fuser and the factor-graph approach in two packages
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 20 Jun 2024 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.0.5-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 27 May 2024 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.0.4-1jammy) jammy; urgency=high

  * bump cmake_minimum_required to 3.5
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 13 May 2024 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.0.3-1jammy) jammy; urgency=high

  * Fix package.xml website URL
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 21 Apr 2024 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.0.2-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 03 Apr 2024 22:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.0.1-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-humble-mola-state-estimation-smoother (1.0.0-1jammy) jammy; urgency=high

  * use odometry
  * add new package mola_state_estimation_simple
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 18 Mar 2024 23:00:00 -0000

ros-humble-mola-state-estimation-smoother (0.2.2-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 22:00:00 -0000


